### Class

# WPEPlatformDRM DisplayDRM

#### Description

    final class WPEPlatformDRM.DisplayDRM : WPEPlatform.Display
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WPEDisplay
- GObject

#### Constructors

###### wpe_display_drm_new

Create a new `WPEDisplayDRM`.

#### Instance methods

###### wpe_display_drm_connect

Connect to the DRM device named `name`. If `name` is `NULL` it connects to the default device.

###### wpe_display_drm_get_device

Get the GBM device for `display`.

###### wpe_display_drm_supports_atomic

Get whether the DRM driver supports atomic mode-setting.

###### wpe_display_drm_supports_modifiers

Get whether the DRM driver supports format modifiers.

##### Methods inherited from WPEDisplay (16)

###### wpe_display_connect

Connect the display to the native system.

###### wpe_display_create_gamepad_manager

Create a `WPEGamepadManager` to handle gamepads.

###### wpe_display_get_available_input_devices

Get the available input devices of `display` that can be used by creators to adjust their UI based on the available interactions.

###### wpe_display_get_clipboard

Get the `WPEClipboard` of `display`. If the platform doesn’t support clipboard, a local `WPEClipboard` is created.

###### wpe_display_get_drm_device

Get the DRM device of `display`. This is the main device that will be used to initialize the EGL display and allocate GBM buffers by default. The DRM device required to allocate GBM buffers for direct scanout will be set as main or group device in `WPEBufferDMABufFormats`.

###### wpe_display_get_egl_display

Get the `EGLDisplay` of `display`.

###### wpe_display_get_keymap

Get the `WPEKeymap` of `display`.

###### wpe_display_get_n_screens

Get the number of screens of `display`.

###### wpe_display_get_preferred_dma_buf_formats

Get the list of preferred DMA-BUF buffer formats for `display`.

###### wpe_display_get_screen

Get the screen of `display` at `index`.

###### wpe_display_get_settings

Get the `WPESettings` of `display`.

###### wpe_display_screen_added

Emit the signal `WPEDisplay::screen-added`.

###### wpe_display_screen_removed

Emit the signal `WPEDisplay::screen-removed`. Note that `wpe_screen_invalidate()` is called before the signal is emitted.

###### wpe_display_set_available_input_devices

Sets the available input devices for a `display`.

###### wpe_display_set_primary

Set `display` as the primary display.

###### wpe_display_use_explicit_sync

Get whether explicit sync should be used with `display` for supported buffers.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from WPEDisplay (1)

###### WPEPlatform.Display:available-input-devices

The input devices (e.g. mouse, keyboard or touchscreen) available to use for this display.

#### Signals

##### Signals inherited from WPEDisplay (2)

###### WPEDisplay::screen-added

Emitted when a screen is added.

###### WPEDisplay::screen-removed

Emitted after a screen is removed. Note that the screen is always invalidated before this signal is emitted.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformDRMDisplayDRMClass {
      WPEDisplayClass parent_class;

    }

No description available.

###### Class members

`parent_class: WPEDisplayClass`

  No description available.